import request from '@/utils/request'
import {smart} from '@/api/commonApi'
// 协议管理配置

// 协议管理；列表
export function getProtocolList(data) {
  return request({
    url: smart + `/basic-remote-protocol/getPageList`,
    method: 'POST',
    data
  })
}
// 协议管理；删除
export function deleteProtocolItem(id) {
  return request({
    url: smart + `/basic-remote-protocol/deleteById/${id}`,
    method: 'get',
  })
}
// 协议管理；新增
export function addProtocolItem(data) {
  return request({
    url: smart + `/basic-remote-protocol/save`,
    method: 'post',
    data,
  })
}
// 协议管理；更 新
export function updateProtocolItem(data) {
  return request({
    url: smart + `/basic-remote-protocol/update`,
    method: 'post',
    data,
  })
}